body{
    margin: 0;
    padding: 0;
}

#header h1{
    margin: 3rem;
    text-align: center;
    font-size: 2.5rem;
    font-weight: bolder;
}


#button-container{
    
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin: 0.4rem;
    margin: auto;
    margin-top: 4rem;
    height: 55px;
    width: 90%;
}
#button-container button,select{
    height: 100%;
    width: 140px;
    border-radius: 5px;
    background-color: #14B8A6;
    transition: background-color 0.5s ease;
    border: 1px solid black;
    display: grid;
    place-content: center;
    text-align: center;
}

#button-container button:hover{
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px, rgba(0, 0, 0, 0.22) 0px 10px 10px;
    background-color: #2DD4BF;
}  
#button-container select:hover{
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px, rgba(0, 0, 0, 0.22) 0px 10px 10px;
    background-color: #2DD4BF;
}

.main-container{
    margin: auto;
    padding: 0.4rem;
    margin-top: 2rem;
    width: 80%;
    height: 90vh;
    display: flex;
    justify-content: center;
    border: 1px solid black;
    gap: 0.4rem;
}

.editor-container{
    border: 2px solid black;
    width: 50%;
}
.response-container{
    border: 2px solid black;
    width: 50%;
}

#editor{
    width: 100%;
    height: 100%;
    font-size: 20px;
} 

#response{
    width: 100%;
    height: 100%;
    font-size: 25px;
    padding: 1rem;
    background-color: #D1D5DB;
}

#extrabtn{
    height: 60px;
    width: 260px;
    border-radius: 5px;
    background-color: #14B8A6;
    border: 1px solid black;
    margin-top: 40px;
    margin-left: 50px;
    display: grid;
    place-content: center;
}

.loader{
    pointer-events: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: white;
    animation: an1 1s ease infinite;
}
@keyframes an1{
    0% {
        transform: rotate(0turn);
    }
    100% {
        transform: rotate(1turn);
    }
}